Skip to main content
GET
Get

Authorizations

Authorization
string
header
required

OAuth 2.0 client-credentials flow. Request an access token from the token endpoint and send it as Authorization: Bearer <token>.

Path Parameters

id
string
required

Global id of the person.

Response

The person.

An Oleria Person object represents a human individual whose identity is managed within an enterprise application, identity provider, or directory service. A Person is the root human entity in the identity graph — distinct from Employee (employment relationship) and Account (digital identity)

id
string
required

An identifier for a Person object in the Oleria system. Oleria converts these identifiers to global ids so they can be unique in the context of the global system graph. It is important for this identifier to be based on an underlying persistent and reusable application id so connections to the object are robust to metadata changes and other relevant operations.

Example:

"P232435"

name
string
required

The name of the person

Example:

"Kirt Debique"

objectMetadata
object
required

The ObjectMetadata structure defines metadata that applies to every object and relationship, and is usually managed by the system that receives the data

globalId
string
required
oleriaObjectMetadata
object
required

object metadata supersets object metadata with platform enrichment provenance — the enrichment version and the time the record was generated

createdDate
string<date-time>

The date the object was created

Example:

"2024-05-02T03:17:34.948Z"

lastModifiedDate
string<date-time>

The date the object was last modified

Example:

"2024-05-02T03:17:34.948Z"

objectDirectoryContainerFederation
object

Federation information used when specifying an EntityIdentifier

objectDirectoryContainerId
string

An identifier (unique to the integrated application) for a ObjectDirectory object represented in the Oleria system. Oleria converts these identifiers to global ids so they can be unique in the context of the global system graph. It is important for this identifier to be based on an underlying persistent and reusable application or identity provider id so connections to the object are robust to metadata changes and other relevant operations

Example:

"repo:R_kgDOLL0doQ (GitHub based on repository node identifier), 1BUxdX4M-H7X8GKRgTjprJS8fjY_Ij1giE82lQlny2kc (Google Drive based on file id)"

personalEmails
string[]

Array of personal emails for the Person (must include the primaryPersonalEmail)

personalLocations
object[]

These are the locations assigned as delivery points for this Person

primaryPersonalEmail
string

Primary personal email for the Person

Example:

"kirt@bricklanerecords.com"

globalObjectDirectoryContainerId
string
enrichedNormalizedPersonalEmails
string[]

Normalized version of each personal email found in Person.PersonalEmails

enrichedNormalizedPrimaryPersonalEmail
string

Normalized version of the primary personal email found in Person.PrimaryPersonalEmail

sorPrimaryStewardEmail
string